Why is uams_dhx2.so missing from netatalk?

If you’re finally getting around to making your linux based AFP file server work with OSX lion… and you’re having trouble… And all the google results tell you “add uams_dhx2.so to your uamslist… but that doesn’t work… you might not have it compiled. And it might not be compiled because you dont have libgcrypt11-dev (or the equivalent package in your distribution) installed.

When libgcrypt is missing you get a super fast easy to miss notice in your ./configure output. and no dhx2.

Hopefully this sames someone as much time as figuring it out cost me.

Stumbling across this related problem someone was having using netatalk 2.2 on Solaris finally let me in the right direction: http://marcoschuh.de/wp/?p=839

4 thoughts on “Why is uams_dhx2.so missing from netatalk?

  1. ferdil says:

    Well done – I eventually stumbled on this!!! I've been hacking away at trying to get afpd to work on ubuntu's latest release for hours !